package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 独立式无线探测器告警
 * </p>
 *
 * @author JCB
 * @since 2022-08-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class AlarmDetector implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 数据来源
     */
    private String dataSources;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 数据上报时间
     */
    private LocalDateTime dataTime;

    /**
     * 设备状态
     */
    private Integer deviceStatus;

    /**
     * 上报地址
     */
    private String address;

    /**
     * 系统类型（1.火灾自动报警系统 2.自动喷水灭火系统 3.消防给水及消火栓系统 4.防排烟系统 5.电气火灾系统 6.消防视频监控系统）
     */
    private Integer systemType;

    /**
     * 告警类型（如WP1、WP2）
     */
    private String alarmType;

    /**
     * 电池电量
     */
    private Integer batteryLevel;

    /**
     * 信号强度
     */
    private String signalIntensity;

    /**
     * 告警值
     */
    private Double alarmValue;

    /**
     * 处理人
     */
    private String handler;

    /**
     * 处理时间
     */
    private LocalDateTime handlingTime;

    /**
     * 处理内容
     */
    private String handlingContent;

    /**
     * 处理人电话
     */
    private String handlerPhone;

    /**
     * 处理状态（0、未处理 1、已处理）
     */
    private Integer handlingStatus;

    /**
     * 是否误报（0、非误报 1、误报）
     */
    private Integer falseAlarm;

    /**
     * 现场照片
     */
    private String sitePhoto;


}
